Skip to main content
POST
Check Document Conflicts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenant
string | null
required

The domain of the customer

Example:

"example.com"

Body

application/json
document_id
string
required

The document ID of the files

target_library_id
string
required

Library ID containing the target documents to compare against.

target_document_class_id
string
required

Document class ID containing the target documents to compare against.

join_conditions
JoinCondition · object[]
required

All join conditions must match for a target document to be included.

Minimum array length: 1
rules
(MetadataConflictRule · object | LLMConflictRule · object)[]
required

Conflict rules to execute on each matched target document.

Minimum array length: 1
llm_provider
enum<string> | null

The LLM provider to use. If not provided, the default provider will be used.

Available options:
OpenAI,
Google,
Altirnao,
MistralAI,
Anthropic
llm_model_prefix
string | null

The prefix of the LLM model name to use. If not provided, the default model will be used.

Example:

"gemini-2.5-pro"

pubsub_topic
string | null

Pub/Sub topic that will receive the final job envelope.

Response

Successful Response

job_id
string
required

Conflict-check job ID.

status
enum<string>
required

Job status.

Available options:
PENDING,
RUNNING,
COMPLETED,
FAILED
document_id
string
required

Base document ID.

target_library_id
string
required

Target library ID.

target_document_class_id
string
required

Target document class ID.

matched_documents
integer
required

Number of matched target documents.

conflicted_documents
integer
required

Number of matched target documents with conflicts.

notification_status
enum<string>
required

Pub/Sub notification state for the final job envelope.

Available options:
PENDING,
SENT,
FAILED
expire_at
string<date-time>
required

Automatic cleanup timestamp for the stored job.

result
ConflictCheckResult · object | null

Final result when the job has completed.

error
string | null

Failure reason when the job has failed.